SET NOCOUNT ON;

;WITH cte AS
(
	SELECT	s.AgentType,
			sp.PropertyName, 
			CASE sp.PropertyName 
				WHEN 'OfflineNotificationMessageValueText' THEN 'textlength: ' + CAST(LEN(sg.PropertyValue) AS NVARCHAR(3000))
				WHEN 'NotifyClientRecordingMessage' THEN 'textlength: ' + CAST(LEN(sg.PropertyValue) AS NVARCHAR(3000))
				WHEN 'SecondaryAuthenticationClientMessage' THEN 'textlength: ' + CAST(LEN(sg.PropertyValue) AS NVARCHAR(3000))
				WHEN 'NonInteractiveProgramToRecord' THEN 'textlength: ' + CAST(LEN(sg.PropertyValue) AS NVARCHAR(3000))
				WHEN 'SoftwareRegistered' THEN 'textlength: ' + CAST(LEN(sg.PropertyValue) AS NVARCHAR(3000))
				ELSE sg.PropertyValue
			END PropertyValue
	FROM	dbo.ServerInventory s 
			INNER JOIN dbo.ServerConfiguration sg ON s.SrvID = sg.ServerId
			INNER JOIN ServerConfigurationProperties sp ON sg.PropertyId = sp.PropertyId
	WHERE	s.SrvVersion <> N'Uninstalled'
			AND sp.PropertyName NOT IN ('ServerId', 'WebConsoleUrl', 'HostServer')

)
SELECT	AgentType, PropertyName, PropertyValue, COUNT(1) Endpoints
FROM	cte
GROUP BY AgentType, PropertyName, PropertyValue
ORDER BY 1, 2, 3 DESC

