SET NOCOUNT ON

;WITH cteLogins AS
(
	SELECT	DomainName,LoginName,UserAuthentication,UserName,
			DATEDIFF(dd,MIN(SessionDate),MAX(SessionDate)) + 1 AS ActiveDays_Gross,
			COUNT(DISTINCT SessionDay) AS ActiveDays_Net,
			COUNT(1) AS SessionsCount,
			SUM(ExtSlides) AS SlidesCount
	FROM	dbo.Session WITH (NOLOCK)
	GROUP BY DomainName,LoginName,UserAuthentication,UserName
)
,cteLogins2 AS
(
	SELECT	CHECKSUM(DomainName,LoginName,UserAuthentication,UserName) AS VirtualLoginID,
			ActiveDays_Gross, ActiveDays_Net, SessionsCount, ISNULL(ss.SlidesCount,0) AS  SlidesCount
	FROM	cteLogins ss		
)
SELECT * FROM cteLogins2 ORDER BY VirtualLoginID