SET NOCOUNT ON


;WITH cteAgents AS
(
	SELECT	SrvID,
			DATEDIFF(dd,MIN(SessionDate),MAX(SessionDate)) + 1 AS ActiveDays_Gross,
			COUNT(DISTINCT SessionDay) AS ActiveDays_Net,
			COUNT(1) AS SessionsCount,
			SUM(ExtSlides) AS SlidesCount
	FROM	dbo.[Session] WITH (NOLOCK)
	GROUP BY SrvID
)
,cteAgents2 AS
(
	SELECT	CHECKSUM(si.SrvID) AS VirtualServerID,si.SrvVersion,si.SrvConfigurationStatus,si.AgentType,si.OperatingSystemType,
			ActiveDays_Gross, ActiveDays_Net, SessionsCount, ISNULL(ss.SlidesCount,0) AS SlidesCount
	FROM	dbo.ServerInvatory si  
			LEFT JOIN cteAgents ss ON ss.SrvID = si.SrvID		
)
SELECT * FROM cteAgents2 ORDER BY VirtualServerID
