SET NOCOUNT ON;

SELECT count(*)*8/1024.0 AS [SIZE(MB) IN CACHE]
    ,name + ' ('+case index_id when 0 then 'HEAP' when 1 then 'CLUSTERED INDEX' ELSE 'NONCLUSTERED INDEX' END +')  ' +cast( count(*)*8/1024.0 as varchar) as NAME
FROM sys.dm_os_buffer_descriptors AS bd 
    INNER JOIN 
    (
        SELECT object_name(object_id) AS name 
            ,index_id ,allocation_unit_id
        FROM sys.allocation_units AS au
            INNER JOIN sys.partitions AS p 
                ON au.container_id = p.hobt_id 
                    AND (au.type = 1 OR au.type = 3)
        UNION ALL
        SELECT object_name(object_id) AS name   
            ,index_id, allocation_unit_id
        FROM sys.allocation_units AS au
            INNER JOIN sys.partitions AS p 
                ON au.container_id = p.partition_id 
                    AND au.type = 2
    ) AS obj 
        ON bd.allocation_unit_id = obj.allocation_unit_id
WHERE database_id = db_id()
GROUP BY name, index_id 
ORDER BY [SIZE(MB) IN CACHE] DESC;