SET NOCOUNT ON;

SELECT  S.[name] AS [LogicalName],
        S.[file_id] AS [FileID],
        S.[physical_name] AS [FileName],
        CAST(CAST(G.name AS VARBINARY(256)) AS SYSNAME) AS [FileGroupName],
        CONVERT (VARCHAR(10),( S.[size] * 8 / 1024 )) AS [SizeInMB],
        CASE WHEN S.[max_size] = -1 THEN 'Unlimited'
             ELSE CONVERT(VARCHAR(10),CONVERT(BIGINT,S.[max_size]) * 8 / 1024)
        END AS [MaxSizeInMB],
        CASE WHEN s.is_percent_growth = 1 THEN 'Percentage'
             ELSE 'MB'
        END AS AutoGrowthType,
        CASE s.is_percent_growth
          WHEN 1 THEN CONVERT(VARCHAR(10),S.growth)
          ELSE CONVERT(VARCHAR(10),S.growth * 8 / 1024)
        END AS [AutoGrowthValue],
        CASE WHEN S.[type] = 0 THEN 'Data Only'
             WHEN S.[type] = 1 THEN 'Log Only'
             WHEN S.[type] = 2 THEN 'FILESTREAM Only'
             WHEN S.[type] = 3 THEN 'Informational purposes Only'
             WHEN S.[type] = 4 THEN 'Full-text '
        END AS [Usage],
        DB_NAME(S.database_id) AS [DatabaseName]
FROM    sys.master_files AS S
        LEFT JOIN sys.filegroups AS G ON ( ( S.type = 2
                                             OR S.type = 0
                                           )
                                           AND ( S.drop_lsn IS NULL )
                                         )
                                         AND ( S.data_space_id = G.data_space_id )