SET NOCOUNT ON;

DECLARE @MaxLogId	INT,
		@LastXMsgs	INT
		
SELECT	@MaxLogId = MAX(ExceptionLogId),
		@LastXMsgs = 10000
FROM	dbo.ExceptionLog m WITH (NOLOCK)
		
;WITH cteErr AS
(
	SELECT	*
	FROM	dbo.ExceptionLog m WITH (NOLOCK)
	WHERE	ExceptionLogId BETWEEN @MaxLogId - @LastXMsgs AND @MaxLogId
)
SELECT	TOP 100 Message,
		COUNT(1) MessageCount,
		MIN(ExceptionDate) MinDate,
		MAX(ExceptionDate) MaxDate
FROM	cteErr
GROUP BY Message 
ORDER BY COUNT(1) DESC
OPTION(RECOMPILE)