SET NOCOUNT ON;

SELECT * FROM(
SELECT	TOP 100 
		'TopCPU' AS StatType,
		OBJECT_NAME(st.objectid) AS ObjectName,
		--qs.plan_handle,
		--qs.sql_handle,
		qs.statement_start_offset,
		qs.statement_end_offset,
		qs.execution_count,
		
		qs.total_worker_time / 1000000 AS total_cpu_time_in_sec,
		qs.total_logical_reads,
		qs.total_logical_writes,
		
		qs.last_elapsed_time / 1000000 AS last_elapsed_time_in_sec,
		qs.last_logical_reads,
		qs.last_logical_writes
		
FROM	sys.dm_exec_query_stats qs
		CROSS APPLY sys.dm_exec_sql_text(qs.sql_handle) AS st
WHERE	OBJECT_NAME(st.objectid)  IS NOT NULL
ORDER BY qs.last_elapsed_time/qs.execution_count  DESC)T
UNION ALL
SELECT * FROM (
SELECT	TOP 100 
		'TopReads' AS StatType,
		OBJECT_NAME(st.objectid) AS ObjectName,
		--qs.plan_handle,
		--qs.sql_handle,
		qs.statement_start_offset,
		qs.statement_end_offset,
		qs.execution_count,
		
		qs.total_worker_time / 1000000 AS total_cpu_time_in_sec,
		qs.total_logical_reads,
		qs.total_logical_writes,
		
		qs.last_elapsed_time / 1000000 AS last_elapsed_time_in_sec,
		qs.last_logical_reads,
		qs.last_logical_writes
		
FROM	sys.dm_exec_query_stats qs
		CROSS APPLY sys.dm_exec_sql_text(qs.sql_handle) AS st
WHERE	OBJECT_NAME(st.objectid)  IS NOT NULL
ORDER BY qs.last_logical_reads/qs.execution_count  DESC)T
UNION ALL
SELECT * FROM (
SELECT	TOP 100 
		'TopWrites' AS StatType,
		OBJECT_NAME(st.objectid) AS ObjectName,
		--qs.plan_handle,
		--qs.sql_handle,
		qs.statement_start_offset,
		qs.statement_end_offset,
		qs.execution_count,
		
		qs.total_worker_time / 1000000 AS total_cpu_time_in_sec,
		qs.total_logical_reads,
		qs.total_logical_writes,
		
		qs.last_elapsed_time / 1000000 AS last_elapsed_time_in_sec,
		qs.last_logical_reads,
		qs.last_logical_writes
		
FROM	sys.dm_exec_query_stats qs
		CROSS APPLY sys.dm_exec_sql_text(qs.sql_handle) AS st
WHERE	OBJECT_NAME(st.objectid)  IS NOT NULL
ORDER BY qs.last_logical_writes/qs.execution_count  DESC)T