SET NOCOUNT ON;

SELECT  DB_NAME(indexstats.database_id) DbName,
		dbschemas.[name] AS SchemaName,
        dbtables.[name] AS TableName,
        dbindexes.[name] AS IndexName,
        indexstats.avg_fragmentation_in_percent AS Fragmentation,
        indexstats.page_count AS PagesCount
FROM    sys.dm_db_index_physical_stats(DB_ID('ObserveIT'),NULL,NULL,NULL,NULL) AS indexstats
        INNER JOIN sys.tables dbtables ON dbtables.[object_id] = indexstats.[object_id]
        INNER JOIN sys.schemas dbschemas ON dbtables.[schema_id] = dbschemas.[schema_id]
        INNER JOIN sys.indexes AS dbindexes ON dbindexes.[object_id] = indexstats.[object_id]
                                         AND indexstats.index_id = dbindexes.index_id
UNION ALL
SELECT  DB_NAME(indexstats.database_id) DbName,
		dbschemas.[name] AS SchemaName,
        dbtables.[name] AS TableName,
        dbindexes.[name] AS IndexName,
        indexstats.avg_fragmentation_in_percent AS Fragmentation,
        indexstats.page_count AS PagesCount
FROM    sys.dm_db_index_physical_stats(DB_ID('ObserveIT_Data'),NULL,NULL,NULL,NULL) AS indexstats
        INNER JOIN sys.tables dbtables ON dbtables.[object_id] = indexstats.[object_id]
        INNER JOIN sys.schemas dbschemas ON dbtables.[schema_id] = dbschemas.[schema_id]
        INNER JOIN sys.indexes AS dbindexes ON dbindexes.[object_id] = indexstats.[object_id]
                                               AND indexstats.index_id = dbindexes.index_id
ORDER BY DbName,indexstats.avg_fragmentation_in_percent DESC