
SET NOCOUNT ON;

DECLARE @sql NVARCHAR(MAX),
		@IsFS BIT 

SELECT	@IsFS = 0

--Check for File system mode
IF EXISTS(SELECT * FROM sys.columns WHERE  object_id = OBJECT_ID('dbo.FileSystemStorageSettings') AND name = 'IsActive') --above 568
	SET @sql = 'IF EXISTS (SELECT * FROM dbo.FileSystemStorageSettings WHERE IsActive = 1 AND ISNULL(StoragePath,'''') <> '''' ) 
		SET @IsFS = 1'
ELSE
	SET @sql = 'IF EXISTS (SELECT * FROM dbo.FileSystemStorageSettings WHERE UseFileSystemStorage = 1 AND ISNULL(StoragePath,'''') <> '''' ) SET @IsFS = 1'


EXEC sp_executesql @sql,N'@IsFS BIT OUT',@IsFS = @IsFS OUT


SELECT	CAST(SERVERPROPERTY('Edition') AS VARCHAR(128)) AS Edition,
		CAST(SERVERPROPERTY('Collation') AS VARCHAR(128)) AS Collation,
		CAST(SERVERPROPERTY('IsClustered') AS VARCHAR(128)) AS IsClustered,
		CAST(SERVERPROPERTY('MachineName') AS VARCHAR(128)) AS MachineName,
		CAST(SERVERPROPERTY('ServerName') AS VARCHAR(128)) AS ServerName,		
		CAST(SERVERPROPERTY('ProductVersion') AS VARCHAR(128)) AS ProductVersion,
		CAST(SERVERPROPERTY('ProductLevel') AS VARCHAR(128)) AS ProductLevel,
		(SELECT value FROM sys.configurations WHERE NAME = 'min server memory (MB)') AS MinServerMemoryInMB,
		(SELECT value FROM sys.configurations WHERE NAME = 'max server memory (MB)') AS MaxServerMemoryInMB,
		@IsFS AS IsFileSystem
