SET NOCOUNT ON;

--Sessions statistics
SELECT	ROW_NUMBER() OVER(ORDER BY OS,SessionDay,si.AgentType) AS RowID,
		OS, SessionDay,
		SUM(s.ExtSlides) AS SlidesCount,
		COUNT(1) AS SessionsCount,
		COUNT(DISTINCT s.SrvID) AS AgentsCount,
		CAST (0 AS DECIMAL(18,3)) AS  ImagesSizeInMB,
		CAST (0 AS DECIMAL(18,3)) AS  MDSizeInMB,
		si.AgentType
FROM	dbo.Sessions s WITH (NOLOCK)
		INNER JOIN (SELECT SrvID, AgentType, CASE OperatingSystemType WHEN 1 THEN 'Win' ELSE 'Unix' END AS OS FROM dbo.ServerInventory WITH (NOLOCK)) si ON s.SrvID = si.SrvID
GROUP BY OS,SessionDay,si.AgentType
ORDER BY RowID


--WHERE	s.SessionDate > DATEADD(yy,-1,GETDATE()) --Last year
