SET NOCOUNT ON;

IF OBJECT_ID('tempdb..#sysprocesses') IS NOT NULL DROP TABLE #sysprocesses

DECLARE	@Iterations INT,
		@i			INT
		
-- 
SELECT	@Iterations = 5,
		@i = 1


SELECT	spid,
        kpid,
        blocked,
        --waittype,
        waittime,
        lastwaittype,
        waitresource,
        DB_NAME(sp.dbid) AS db_name,
        uid,
        cpu,
        physical_io,
        memusage,
        login_time,
        last_batch,
        ecid,
        open_tran,
        status,
        --sid,
        hostname,
        program_name,
        hostprocess,
        cmd,
        loginame,
        stmt_start,
        stmt_end,
        request_id,
		OBJECT_NAME(st.objectid) AS object_name,
		st.text,
		100 AS IterationID
INTO    #sysprocesses 
FROM	sys.sysprocesses sp
		OUTER APPLY sys.dm_exec_sql_text(sql_handle) AS st
WHERE	1=0


WHILE (@i <= @Iterations)
BEGIN

	WAITFOR DELAY '00:00:01' 

	INSERT INTO #sysprocesses
	SELECT	spid,
			kpid,
			blocked,
			--waittype,
			waittime,
			lastwaittype,
			waitresource,
			DB_NAME(sp.dbid) AS db_name,
			uid,
			cpu,
			physical_io,
			memusage,
			login_time,
			last_batch,
			ecid,
			open_tran,
			status,
			hostname,
			program_name,
			hostprocess,
			cmd,
			loginame,
			stmt_start,
			stmt_end,
			request_id,
			OBJECT_NAME(st.objectid) AS object_name,
			st.text,
			@i AS IterationID
	FROM	sys.sysprocesses sp
			OUTER APPLY sys.dm_exec_sql_text(sql_handle) AS st
			
			
	
	SET @i = @i + 1
	
END 		

--SELECT * FROM sys.dm_exec_requests


--SELECT  session_id,
--        DB_NAME(database_id),
--        wait_type,
--        wait_time,
--        wait_resource, ---Would like to display object name here
--        blocking_session_id,
--        OBJECT_NAME(st.objectid) AS object_name,
--        st.text
        
--FROM    sys.dm_exec_requests r
--        OUTER APPLY sys.dm_exec_sql_text(sql_handle) AS st
--ORDER BY wait_time DESC




SELECT *
FROM 
(
	SELECT	*,ROW_NUMBER() OVER (PARTITION BY login_time,spid ORDER BY IterationID DESC) AS RowIDOverPartition
	FROM	#sysprocesses
)T
WHERE RowIDOverPartition = 1
